Your Moodle version

Blocks: Course Menu block

block_course_menu
Maintained by Picture of Alex Contis Alex Contis
The Course Menu block for Moodle provides navigation between course sections (topics/weeks)
94
321
4
Moodle 2.0, 2.1, 2.2

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2

Contributors

Picture of Alex Contis
Alex Contis (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Adriane Cônsolo
    Sat, Oct 11, 2014, 3:20 AM
    I'd like to know when the the version to Moodle 2.7 will be avaliable. I tried to install but there is a error when I activated the block.
    Missing YUI3 module details
  • Just wondering . . .
    Tue, Nov 25, 2014, 6:19 AM
    Now, just curious. Is there anyone who has tested tyhis with 2.8??

    -Derek
  • Picture of Lavanya Manne
    Tue, Nov 25, 2014, 2:18 PM
    Hi Alex,
    I installed the course menu block in moodle 2.8. The plugin installation went successfully. When I try to add a course_menu block it shows and error " YUI missing module details". Is there is any option thta I need to enable YUI in moodle 2.8. Please suggest me
  • Picture of Alex Contis
    Wed, Nov 26, 2014, 4:27 AM
    Hi,

    Download the version development version of Course Menu from

    https://github.com/netsapiensis/moodle-block_course_menu/archive/MOODLE_23_DEV.zip

    This is the only version that works with Moodle 2.5 up to Moodle 2.8
  • Picture of Adriane Cônsolo
    Wed, Nov 26, 2014, 9:28 PM
    Thanks ALex, Now it's working perfectly at Moodle 2.7.
  • Picture of Usman Asar
    Sat, Dec 6, 2014, 3:16 PM
    Alex, is it possible to update the plug-in version as if its working fine with Moodle 2.7 (Onwards) just as Adriane mentioned?
  • Picture of sue sugizaki
    Tue, Dec 9, 2014, 7:49 PM
    Fungerar bra, Alex!!!
  • Picture of Josh Marshall
    Thu, Jan 8, 2015, 12:46 PM
    Hi Alex,

    I've just created a tracker item CONTRIB-5534 (https://tracker.moodle.org/browse/CONTRIB-5534) for an issue I've found. There doesn't appear to be a JS directory in your GitHub repo, so there's a JS call fail in links_with_navigation.php. Would appreciate you taking at look a your convenience. I've included the full steps to replicate and stacktrace in the tracker item.

    Thanks,
    Josh
  • Picture of Sunny D
    Tue, Aug 11, 2015, 5:39 PM
    There are two issues with the plugin.

    1. When clicked on the section link appearing on the block, it takes you to the respective topic section, however it fails to open a collapsed topic.

    2. When this block is added to a course, several debug messages are thrown.

    The core file that is throwing the error is:
    yui_combo.php?rollup/3.17.2/yui-moodlesimple-min.js&rollup/1438877571/mcore-min.js:
    39 Uncaught TypeError: Cannot read property '_yuiaop' of undefined

    Having this block added to your course, when you use the block docking feature the Add activity or resource link is disabled.

    Shubhendra
  • Just wondering . . .
    Thu, Oct 15, 2015, 5:39 AM
    Just curious: has anyone checked this out with 3.0 the beta?

    -Derek
  • Picture of Alex Contis
    Thu, Oct 15, 2015, 3:41 PM
    Hi Derek,

    We did not check it but you are welcome to test this version (works with Moodle 2.7 up to Moodle 2.9):

    https://github.com/netsapiensis/moodle-block_course_menu/tree/MOODLE_23_STABLE

    Please give us feedback, if it does not work with Moodle 3.0 we'll fix it.

    Regards
    Alex Contis
    NetSapiensis AB
  • Just wondering . . .
    Thu, Oct 29, 2015, 3:04 PM
    OK, first test with 3.0 BETA.
    Fail.
    Reported here: https://github.com/netsapiensis/moodle-block_course_menu/issues/19

    -Derek
  • Just wondering . . .
    Tue, Nov 17, 2015, 5:02 AM
    Alex, I've just sent an email in case you are not monitoring the forum here.
    I wonder it is possible to update the branch names in GIT?

    -Derek
  • Just wondering . . .
    Sun, Nov 29, 2015, 9:52 AM
    Just a copy of the error results:

    This is the error report:

    String [myprofile,core] is deprecated. Either you should no longer be using that string, or the string has been incorrectly deprecated, in which case you should report this as a bug. Please refer to https://docs.moodle.org/dev/String_deprecation

    line 390 of /lib/classes/string_manager_standard.php: call to debugging()
    line 6676 of /lib/moodlelib.php: call to core_string_manager_standard->get_string()
    line 364 of /blocks/course_menu/block_course_menu.php: call to get_string()
    line 468 of /blocks/course_menu/block_course_menu.php: call to block_course_menu->init_default_config()
    line 128 of /blocks/course_menu/block_course_menu.php: call to block_course_menu->check_default_config()
    line 288 of /blocks/moodleblock.class.php: call to block_course_menu->get_content()
    line 230 of /blocks/moodleblock.class.php: call to block_base->formatted_contents()
    line 973 of /lib/blocklib.php: call to block_base->get_content_for_output()
    line 1025 of /lib/blocklib.php: call to block_manager->create_block_contents()
    line 474 of /lib/outputrenderers.php: call to block_manager->ensure_content_created()
    line 39 of /theme/bootstrapbase/renderers/core_renderer.php: call to core_renderer->standard_head_html()
    line 52 of /theme/clean/layout/columns3.php: call to theme_bootstrapbase_core_renderer->standard_head_html()
    line 1016 of /lib/outputrenderers.php: call to include()
    line 946 of /lib/outputrenderers.php: call to core_renderer->render_page_layout()
    line 244 of /course/view.php: call to core_renderer->header()
    get_context_instance() is deprecated, please use context_xxxx::instance() instead.
    line 256 of /lib/deprecatedlib.php: call to debugging()
    line 601 of /blocks/course_menu/block_course_menu.php: call to get_context_instance()
    line 403 of /blocks/course_menu/block_course_menu.php: call to block_course_menu->get_sections()
    line 468 of /blocks/course_menu/block_course_menu.php: call to block_course_menu->init_default_config()
    line 128 of /blocks/course_menu/block_course_menu.php: call to block_course_menu->check_default_config()
    line 288 of /blocks/moodleblock.class.php: call to block_course_menu->get_content()
    line 230 of /blocks/moodleblock.class.php: call to block_base->formatted_contents()
    line 973 of /lib/blocklib.php: call to block_base->get_content_for_output()
    line 1025 of /lib/blocklib.php: call to block_manager->create_block_contents()
    line 474 of /lib/outputrenderers.php: call to block_manager->ensure_content_created()
    line 39 of /theme/bootstrapbase/renderers/core_renderer.php: call to core_renderer->standard_head_html()
    line 52 of /theme/clean/layout/columns3.php: call to theme_bootstrapbase_core_renderer->standard_head_html()
    line 1016 of /lib/outputrenderers.php: call to include()
    line 946 of /lib/outputrenderers.php: call to core_renderer->render_page_layout()
    line 244 of /course/view.php: call to core_renderer->header()

    Fatal error: Class 'textlib' not found in /home/dev.tpp.ac.nz/public_html/blocks/course_menu/block_course_menu.php on line 758

    This looks like something simple for someone who is in the know.smile
    Regards,
    -Derek
  • Just wondering . . .
    Mon, Dec 7, 2015, 8:52 AM
    OK, I've heard back from Alex. They are a bit busy at the moment, but he has sent me a version of course menu that works with Moodle 3.0. If you want it, PM me.

    -Derek
1 2 3 4 5 6
Please login to post comments